curl --request PUT \
--url https://www.venturu.com/api/partner/v1/brokers/{externalBrokerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"avatarUrl": "<string>",
"forwardingEmail": "<string>",
"profile": {
"bio": "<string>",
"website": "<string>",
"linkedInUrl": "<string>"
},
"licenses": [
{
"licenseNumber": "<string>",
"state": "<string>",
"country": "<string>"
}
],
"serviceAreas": [
{
"state": "<string>",
"country": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"county": "<string>"
}
]
}
'import requests
url = "https://www.venturu.com/api/partner/v1/brokers/{externalBrokerId}"
payload = {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"avatarUrl": "<string>",
"forwardingEmail": "<string>",
"profile": {
"bio": "<string>",
"website": "<string>",
"linkedInUrl": "<string>"
},
"licenses": [
{
"licenseNumber": "<string>",
"state": "<string>",
"country": "<string>"
}
],
"serviceAreas": [
{
"state": "<string>",
"country": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"county": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: '<string>',
phone: '<string>',
avatarUrl: '<string>',
forwardingEmail: '<string>',
profile: {bio: '<string>', website: '<string>', linkedInUrl: '<string>'},
licenses: [{licenseNumber: '<string>', state: '<string>', country: '<string>'}],
serviceAreas: [
{
state: '<string>',
country: '<string>',
neighborhood: '<string>',
city: '<string>',
county: '<string>'
}
]
})
};
fetch('https://www.venturu.com/api/partner/v1/brokers/{externalBrokerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>",
"venturuBrokerId": "<string>",
"venturuProfileUrl": "<string>"
}{
"status": "success",
"message": "<string>",
"venturuBrokerId": "<string>",
"venturuProfileUrl": "<string>"
}Create or update broker
Create or update a broker in Venturu’s system. If the broker with the specified external ID already exists, their information will be updated. If not, a new broker will be created.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the broker from your system.
Body
The full name of the broker.
The email address of the broker.
The phone number of the broker.
A URL to the broker's profile picture.
If leads should be forwarded to a specific email address (i.e. in case of CRMs), this value can be specified.
Additional profile information about the broker.
Show child attributes
Show child attributes
A list of licenses held by the broker.
Show child attributes
Show child attributes
A list of service areas covered by the broker.
Show child attributes
Show child attributes
Response
Successful response
Indicates that the operation has succeeded.
success A message providing additional information about the operation.
The Venturu ID of the created or updated broker, if the operation was successful.
A URL to the broker's Venturu profile, if the operation was successful.